Subject: Economists adn the economy

From: [email-masked]
Date: Sun, 5 Mar 1995 10:10:54 -0500

You're probably right, Matt. Bu the fact remains that 70% of the US lives
from paycheck to paycheck. When you stop to realize that that figure includes
people making $100K+ a year, it gets pretty scary. I do know that the last
two years were the best in terms of eanings I've had in my 19 years in the
workforce. And we struggled. Seems like the more I made, the bigger the bills
were. And for the record, I do not have credit cards, or car payments, or any
term payments. Just paid rent and utilities, bought food, clothing (not much;
I wear out my clothes, and only need a couple pairs of jeans and a handful of
shirts), gas and maint. on the car. It's not a nice world anymore.